Merge xterm 251-1 (main) from Debian testing (main)

Bug #501150 reported by Artur Rona on 2009-12-28
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
xterm (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: xterm

 xterm (251-1) unstable; urgency=low

   * New upstream release.
   * Update copy of XTerm FAQ to revision 1.107 (dated 2009/11/11).
   * Upstream introduced a new 'disallowedWindowOps' resource to fine-tune
     which operations are affected by the 'allowWindowOps' setting. After
     discussion with the security team, change the default for the new resource
     to include all operations.

 -- Julien Cristau <email address hidden> Sat, 28 Nov 2009 14:46:51 +0100
xterm (250-1) unstable; urgency=low

   * New upstream release
     + add check and error-message for fonts that have no printable values in
       the ISO-8859-1 range (closes: #542434)
     + limit minimum cell-width for packed font to maximum-advance
       reported by Xft. Some fonts are wider than that, even in the Latin-1
       range (closes: #550497)
     + correct off-by-one in okPosition fix from patch #249 limit-checks which
       prevented double-click selection on the bottom line of the screen
       (closes: #550368)
     + document in xterm manpage the limited availability of resources color16
       to color255 as noted in patch #188 (LP: #438850)

 -- Julien Cristau <email address hidden> Tue, 13 Oct 2009 20:20:08 +0200
xterm (249-1) unstable; urgency=low

   * New upstream release.
     + add limit-checks for result of visual_width() function, needed from
       patch #242 and exposed by #244 changes (closes: #548321).
   * Upstream changed the default of AllowWindowOps to false, remove patch
     903_windowops.diff.
   * Use the upstream default for pointerMode; drop patch
     902_pointermode_never.diff.

 -- Julien Cristau <email address hidden> Sun, 04 Oct 2009 15:40:16 +0200
xterm (248-1) unstable; urgency=low

   * New upstream release
     + correct logic used to improve performance of missing-glyph check, which
       did not handle line-drawing characters (closes: #545220)

 -- Julien Cristau <email address hidden> Wed, 16 Sep 2009 15:53:07 +0200
xterm (247-1) unstable; urgency=low

   * New upstream release.
   * Bump Standards-Version to 3.8.3.
   * Remove David Martínez Moreno from Uploaders as he hasn't been active on
     this package lately.
   * Kill remaining subversion $Id$ tags from debian packaging files.
   * Use libutempter, remove setgid bit from the xterm binary (closes: #537867).

 -- Julien Cristau <email address hidden> Fri, 04 Sep 2009 16:24:35 +0200
xterm (246-1) unstable; urgency=low

   * New upstream release
     + interaction between allowSendEvents and the various allowXXXOps
       resources clarified in manpage (closes: #531597)
     + remove obsolete logic for saving/restoring wrapping flags, which did not
       work on 64-bit platform. Wrapping flags (stored in the line-index) are
       now copied with line-data (closes: #541160)
     + modify comments in app-defaults files to avoid problem with C
       preprocessor used by xrdb (closes: #541603)
     + restore special case in makeColorPair needed for colorBDMode resource
       (closes: #541089)
     + correct SetLineFlags() macro, broken in patch #244 when recoding to
       avoid gcc-specific bitfields (closes: #541236)
   * The issues with the fifo-lines code should now be fixed, so enable it
     again.

 -- Julien Cristau <email address hidden> Sun, 23 Aug 2009 00:35:21 +0200
xterm (244-2) unstable; urgency=low

   * Configure with --disable-fifo-lines to work around a crash in the new
     saved-lines handling code (closes: #541236, #541160, #541132, #541109).
     Thanks to Thomas Dickey for the workaround.

 -- Julien Cristau <email address hidden> Wed, 12 Aug 2009 22:25:16 +0200
xterm (244-1) unstable; urgency=low

   * New upstream release
     + remove a limit-check in ptydata.c, allowing Unicode values past 64k to
       be displayed using TrueType fonts (closes: #458432)
     + demote recent (xterm 242) change to Debian #252873 fix to experimental,
       ifdef'd out as EXP_BOGUS_FG (closes: #522141)
     + work around groff mapping of ASCII quotes using macros (requested by
       Reuben Thomas based on Colin Watson advice (closes: #378700)
   * Switch debian/rules to xsfbs instead of copying half of (an outdated
     version of) it (closes: #538594). Incidentally, this provides
     README.source, and allows us to bump Standards-Version to 3.8.2.
   * Remove preinst dealing with upgrades from pre-etch versions.
   * Remove from postinst some code to fix pre-etch non-released versions.
   * Refresh/update patches.
   * Bump debian/compat to 5, as compatibility level 4 has been deprecated.
   * Remove obsolete debian/README.

 -- Julien Cristau <email address hidden> Mon, 10 Aug 2009 16:30:29 +0200

Related branches

Chris Johnston (cjohnston) wrote :

Recommend wishlist

Launchpad Janitor (janitor) wrote :
Download full text (5.0 KiB)

This bug was fixed in the package xterm - 253-1ubuntu1

---------------
xterm (253-1ubuntu1) lucid; urgency=low

  * Merge from Debian Unstable. (LP: #501150)
    + document in xterm manpage the limited availability of resources color16
      to color255 as noted in patch #188 (LP: #438850)
    Remaining Ubuntu changes:
    - Enabled URL highlighting
  * Add 100_uxterm_utf8_title.patch: Set utf8Titles to true by default
    when using uxterm, so that it displays utf8 directories in titles
    properly. May cause issues with apps that use control sequences for
    updating the xterm titlebar - users should use xterm or set utf8Title
    to false in this case.
    (LP: #320388, #408496)

xterm (253-1) unstable; urgency=low

  * New upstream release
    + parenthesize expression in MoreRows macro, fixing a limit check added in
      patch #251 (closes: #560039)
  * Update debian/copyright.
  * Add dependency on ${misc:Depends} (lintian).
  * Refresh patches 900_debian_xterm.diff and 901_xterm_manpage.diff.

xterm (251-1) unstable; urgency=low

  * New upstream release.
  * Update copy of XTerm FAQ to revision 1.107 (dated 2009/11/11).
  * Upstream introduced a new 'disallowedWindowOps' resource to fine-tune
    which operations are affected by the 'allowWindowOps' setting. After
    discussion with the security team, change the default for the new resource
    to include all operations.

xterm (250-1) unstable; urgency=low

  * New upstream release
    + add check and error-message for fonts that have no printable values in
      the ISO-8859-1 range (closes: #542434)
    + limit minimum cell-width for packed font to maximum-advance
      reported by Xft. Some fonts are wider than that, even in the Latin-1
      range (closes: #550497)
    + correct off-by-one in okPosition fix from patch #249 limit-checks which
      prevented double-click selection on the bottom line of the screen
      (closes: #550368)
    + document in xterm manpage the limited availability of resources color16
      to color255 as noted in patch #188 (LP: #438850)

xterm (249-1) unstable; urgency=low

  * New upstream release.
    + add limit-checks for result of visual_width() function, needed from
      patch #242 and exposed by #244 changes (closes: #548321).
  * Upstream changed the default of AllowWindowOps to false, remove patch
    903_windowops.diff.
  * Use the upstream default for pointerMode; drop patch
    902_pointermode_never.diff.

xterm (248-1) unstable; urgency=low

  * New upstream release
    + correct logic used to improve performance of missing-glyph check, which
      did not handle line-drawing characters (closes: #545220)

xterm (247-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.8.3.
  * Remove David Martínez Moreno from Uploaders as he hasn't been active on
    this package lately.
  * Kill remaining subversion $Id$ tags from debian packaging files.
  * Use libutempter, remove setgid bit from the xterm binary (closes: #537867).

xterm (246-1) unstable; urgency=low

  * New upstream release
    + interaction between allowSendEvents and the various allowXXXOps
      resources clarified in manpage (closes: #53...

Read more...

Changed in xterm (Ubuntu):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers